%define anolis_release 3

%global         modname greenlet

Name:           python-%{modname}
Version:        3.0.0
Release:        %{anolis_release}%{?dist}
Summary:        Lightweight in-process concurrent programming
License:        MIT
URL:            https://github.com/python-greenlet/greenlet
Source0:        %{url}/archive/%{version}/%{modname}-%{version}.tar.gz
Patch0:          0001-greenlet-add-support-for-loongarch64.patch
Patch1:          0002-python-greenlet-uos-add-sw_64-support.patch

BuildRequires:  gcc-c++

%global _description \
The greenlet package is a spin-off of Stackless, a version of CPython\
that supports micro-threads called "tasklets". Tasklets run\
pseudo-concurrently (typically in a single or a few OS-level threads)\
and are synchronized with data exchanges on "channels".

%description %{_description}

%package -n     python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

# For tests
BuildRequires:  python3-psutil

%description -n python3-%{modname} %{_description}

Python 3 version.

%package -n     python3-%{modname}-devel
Summary:        C development headers for python3-%{modname}
%{?python_provide:%python_provide python3-%{modname}-devel}
Requires:       python3-%{modname} = %{EVR}

%description -n python3-%{modname}-devel
%{summary}.

Python 3 version.

%prep
%autosetup -n %{modname}-%{version} -p1

%build
%py3_build

%install
%py3_install
 
%check
%{__python3} setup.py test

%files -n python3-%{modname}
%license LICENSE LICENSE.PSF
%doc AUTHORS README.rst
%{python3_sitearch}/%{modname}-*.egg-info
%{python3_sitearch}/%{modname}

%files -n python3-greenlet-devel
%{_includedir}/python%{python3_version}*/%{modname}/

%changelog
* Fri May 30 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.0.0-3
- Use Upstream tar

* Fri Mar 21 2025 zhuhongbo <zhuhongbo@uniontech.com> - 3.0.0-2 
- python greenlet uos add sw_64 support

* Wed Mar 27 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> -3.0.0-1
- Update to 3.0.0

* Wed Mar 13 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.0.2-2
- Rebuild with python3.11

* Mon Feb 5 2024 Petr Viktorin <pviktori@redhat.com> - 2.0.2-1
- Update to upstream version 2.0.2

* Mon Aug 7 2023 doupengda <doupengda@loongson.cn> - 1.1.3-2
- add support for loongarch64

* Wed May 03 2023 Funda Wang <fundawang@yeah.net> - 1.1.3-1
- Import package for anolis 23
